Get Player Achievements
curl --request GET \
--url https://api.example.com/player/{player}/achievements \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.example.com/player/{player}/achievements"
payload = {}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.example.com/player/{player}/achievements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completed": true,
"description": "<string>",
"gamePercentUnlocked": 123,
"globalPercentUnlocked": 123,
"legacy": true,
"name": "<string>",
"points": 123,
"points_awarded": 123,
"tiered_data": {
"remaining_to_complete": 123,
"tier_completed": 123,
"total_ap_from_tiered": 123
},
"tiers": [
{
"amount": 123,
"points": 123,
"tier": 123
}
]
}{
"cause": "<string>",
"code": 123,
"documentation": "<string>",
"extra": [
{
"code": 123,
"developer_reason": "<string>",
"name": "<string>",
"reason": "<string>"
}
],
"msTime": 123,
"success": true
}Player
Get Player Achievements
Retrieves detailed achievement data for a specific player, including one-time, tiered, and legacy achievements, along with meta-information about completed points.
GET
/
player
/
{player}
/
achievements
Get Player Achievements
Path Parameters
Player UUID
Body
application/json
The body is of type object.
⌘I